<?php

namespace EventPortal\AuthPassword\Mail;

use Illuminate\Mail\Mailable;

class CreatePassword extends Mailable
{
    public $token;

    public function __construct(string $passwordToken)
    {
        $this->token = $passwordToken;
    }

    public function build(): self
    {
        return $this
            ->subject('Account Created')
            ->markdown('auth-password::create-password')
            ->with([
                'url' => route('create-password.index', $this->token),
            ]);
    }
}
